<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.cecep.talroad.mapper.analysis.SRaAreaTransferRateAnalysisMapper">

    <resultMap type="cn.cecep.talroad.domain.analysis.SRaAreaTransferRateAnalysis" id="SRaAreaTransferRateAnalysisResult">
        <id column="id" jdbcType="VARCHAR" property="id" />
        <result column="count_type" jdbcType="VARCHAR" property="countType" />
        <result column="district_name" jdbcType="VARCHAR" property="districtName" />
        <result column="district_code" jdbcType="VARCHAR" property="districtCode" />
        <result column="statistics_time" jdbcType="VARCHAR" property="statisticsTime" />
        <result column="elec_transmitt_num" jdbcType="INTEGER" property="elecTransmittNum" />
        <result column="elec_actual_transmitt_num" jdbcType="INTEGER" property="elecActualTransmittNum" />
        <result column="elec_transmission_rate" jdbcType="NUMERIC" property="elecTransmissionRate" />
        <result column="unorganized_transmitt_minute_num" jdbcType="INTEGER" property="unorganizedTransmittMinuteNum" />
        <result column="unorganized_actual_transmitt_minute_num" jdbcType="INTEGER" property="unorganizedActualTransmittMinuteNum" />
        <result column="unorganized_transmission_minute_rate" jdbcType="NUMERIC" property="unorganizedTransmissionMinuteRate" />
        <result column="unorganized_transmitt_hour_num" jdbcType="INTEGER" property="unorganizedTransmittHourNum" />
        <result column="unorganized_actual_transmitt_hour_num" jdbcType="INTEGER" property="unorganizedActualTransmittHourNum" />
        <result column="unorganized_transmission_hour_rate" jdbcType="NUMERIC" property="unorganizedTransmissionHourRate" />
        <result column="unorganized_transmitt_day_num" jdbcType="INTEGER" property="unorganizedTransmittDayNum" />
        <result column="unorganized_actual_transmitt_day_num" jdbcType="INTEGER" property="unorganizedActualTransmittDayNum" />
        <result column="unorganized_transmission_day_rate" jdbcType="NUMERIC" property="unorganizedTransmissionDayRate" />
        <result column="dcs_transmitt_minute_num" jdbcType="INTEGER" property="dcsTransmittMinuteNum" />
        <result column="dcs_actual_transmitt_num" jdbcType="INTEGER" property="dcsActualTransmittNum" />
        <result column="dcs_transmission_rate" jdbcType="NUMERIC" property="dcsTransmissionRate" />
        <result column="gridded_transmitt_minute_num" jdbcType="INTEGER" property="griddedTransmittMinuteNum" />
        <result column="gridded_actual_transmitt_minute_num" jdbcType="INTEGER" property="griddedActualTransmittMinuteNum" />
        <result column="gridded_transmission_minute_rate" jdbcType="NUMERIC" property="griddedTransmissionMinuteRate" />
        <result column="gridded_transmitt_hour_num" jdbcType="INTEGER" property="griddedTransmittHourNum" />
        <result column="gridded_actual_transmitt_hour_num" jdbcType="INTEGER" property="griddedActualTransmittHourNum" />
        <result column="gridded_transmission_hour_rate" jdbcType="NUMERIC" property="griddedTransmissionHourRate" />
        <result column="gridded_transmitt_day_num" jdbcType="INTEGER" property="griddedTransmittDayNum" />
        <result column="gridded_actual_transmitt_gridded_transmitt_day_num" jdbcType="INTEGER" property="griddedActualTransmittGriddedTransmittDayNum" />
        <result column="gridded_transmission_day_rate" jdbcType="NUMERIC" property="griddedTransmissionDayRate" />
        <result column="online_monitoring__minute_num" jdbcType="INTEGER" property="onlineMonitoringMinuteNum" />
        <result column="online_monitoring_actual_minute_num" jdbcType="INTEGER" property="onlineMonitoringActualMinuteNum" />
        <result column="online_monitoring_minute_rate" jdbcType="NUMERIC" property="onlineMonitoringMinuteRate" />
        <result column="online_monitoring_hour_num" jdbcType="INTEGER" property="onlineMonitoringHourNum" />
        <result column="online_monitoring_actual_hour_num" jdbcType="INTEGER" property="onlineMonitoringActualHourNum" />
        <result column="online_monitoring_hour_rate" jdbcType="NUMERIC" property="onlineMonitoringHourRate" />
        <result column="online_monitoring_day_num" jdbcType="INTEGER" property="onlineMonitoringDayNum" />
        <result column="online_monitoring_actual_day_num" jdbcType="INTEGER" property="onlineMonitoringActualDayNum" />
        <result column="online_monitoring_day_rate" jdbcType="NUMERIC" property="onlineMonitoringDayRate" />
        <result column="create_by" jdbcType="VARCHAR" property="createBy" />
        <result column="create_time" jdbcType="TIMESTAMP" property="createTime" />
        <result column="update_by" jdbcType="VARCHAR" property="updateBy" />
        <result column="update_time" jdbcType="TIMESTAMP" property="updateTime" />
    </resultMap>
    <sql id="Base_Column_List">
        <!--@mbg.generated-->
        id, count_type, district_name, district_code, statistics_time, elec_transmitt_num,
        elec_actual_transmitt_num, elec_transmission_rate, unorganized_transmitt_minute_num,
        unorganized_actual_transmitt_minute_num, unorganized_transmission_minute_rate, unorganized_transmitt_hour_num,
        unorganized_actual_transmitt_hour_num, unorganized_transmission_hour_rate, unorganized_transmitt_day_num,
        unorganized_actual_transmitt_day_num, unorganized_transmission_day_rate, dcs_transmitt_minute_num,
        dcs_actual_transmitt_num, dcs_transmission_rate, gridded_transmitt_minute_num, gridded_actual_transmitt_minute_num,
        gridded_transmission_minute_rate, gridded_transmitt_hour_num, gridded_actual_transmitt_hour_num,
        gridded_transmission_hour_rate, gridded_transmitt_day_num, gridded_actual_transmitt_gridded_transmitt_day_num,
        gridded_transmission_day_rate, online_monitoring__minute_num, online_monitoring_actual_minute_num,
        online_monitoring_minute_rate, online_monitoring_hour_num, online_monitoring_actual_hour_num,
        online_monitoring_hour_rate, online_monitoring_day_num, online_monitoring_actual_day_num,
        online_monitoring_day_rate, create_by, create_time, update_by, update_time
    </sql>

    <sql id="selectSRaAreaTransferRateAnalysisVo">
        select <include refid="Base_Column_List"/>
     from s_ra_area_transfer_rate_analysis
    </sql>

    <select id="selectSRaAreaTransferRateAnalysisList" parameterType="cn.cecep.talroad.domain.analysis.SRaAreaTransferRateAnalysis" resultMap="SRaAreaTransferRateAnalysisResult">
        <include refid="selectSRaAreaTransferRateAnalysisVo"/>
        <where>
            <if test="districtName != null  and districtName != ''"> and district_name like concat('%', #{districtName}, '%')</if>
            <if test="districtCode != null  and districtCode != ''"> and district_code = #{districtCode}</if>
            <if test="statisticsTime != null "> and statistics_time = #{statisticsTime}</if>
            <if test="elecTransmittNum != null "> and elec_transmitt_num = #{elecTransmittNum}</if>
            <if test="elecActualTransmittNum != null "> and elec_actual_transmitt_num = #{elecActualTransmittNum}</if>
            <if test="elecTransmissionRate != null "> and elec_transmission_rate = #{elecTransmissionRate}</if>
            <if test="unorganizedTransmittMinuteNum != null "> and unorganized_transmitt_minute_num = #{unorganizedTransmittMinuteNum}</if>
            <if test="unorganizedActualTransmittMinuteNum != null "> and unorganized_actual_transmitt_minute_num = #{unorganizedActualTransmittMinuteNum}</if>
            <if test="unorganizedTransmissionMinuteRate != null "> and unorganized_transmission_minute_rate = #{unorganizedTransmissionMinuteRate}</if>
            <if test="unorganizedTransmittHourNum != null "> and unorganized_transmitt_hour_num = #{unorganizedTransmittHourNum}</if>
            <if test="unorganizedActualTransmittHourNum != null "> and unorganized_actual_transmitt_hour_num = #{unorganizedActualTransmittHourNum}</if>
            <if test="unorganizedTransmissionHourRate != null "> and unorganized_transmission_hour_rate = #{unorganizedTransmissionHourRate}</if>
            <if test="dcsTransmittMinuteNum != null "> and dcs_transmitt_minute_num = #{dcsTransmittMinuteNum}</if>
            <if test="dcsActualTransmittNum != null "> and dcs_actual_transmitt_num = #{dcsActualTransmittNum}</if>
            <if test="dcsTransmissionRate != null "> and dcs_transmission_rate = #{dcsTransmissionRate}</if>
            <if test="griddedTransmittMinuteNum != null "> and gridded_transmitt_minute_num = #{griddedTransmittMinuteNum}</if>
            <if test="griddedActualTransmittMinuteNum != null "> and gridded_actual_transmitt_minute_num = #{griddedActualTransmittMinuteNum}</if>
            <if test="griddedTransmissionMinuteRate != null "> and gridded_transmission_minute_rate = #{griddedTransmissionMinuteRate}</if>
            <if test="griddedTransmittHourNum != null "> and gridded_transmitt_hour_num = #{griddedTransmittHourNum}</if>
            <if test="griddedActualTransmittHourNum != null "> and gridded_actual_transmitt_hour_num = #{griddedActualTransmittHourNum}</if>
            <if test="griddedTransmissionHourRate != null "> and gridded_transmission_hour_rate = #{griddedTransmissionHourRate}</if>
            <if test="griddedTransmittDayNum != null "> and gridded_transmitt_day_num = #{griddedTransmittDayNum}</if>
            <if test="griddedActualTransmittGriddedTransmittDayNum != null "> and gridded_actual_transmitt_gridded_transmitt_day_num = #{griddedActualTransmittGriddedTransmittDayNum}</if>
            <if test="griddedTransmissionDayRate != null "> and gridded_transmission_day_rate = #{griddedTransmissionDayRate}</if>
        </where>
    </select>

</mapper>
